---
title: Delete User Subscription
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[User](https://developers.cloudflare.com/api/python/resources/user)

[Subscriptions](https://developers.cloudflare.com/api/python/resources/user/subresources/subscriptions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete User Subscription

user.subscriptions.delete(stridentifier) -> [SubscriptionDeleteResponse](<https://developers.cloudflare.com/api/python/resources/user#(resource)%20user.subscriptions%20%3E%20(model)%20subscription_delete_response%20%3E%20(schema)>)

DELETE/user/subscriptions/{identifier}

Deletes a user’s subscription.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Billing Write`

##### ParametersExpand Collapse

identifier: str

Subscription identifier tag.

maxLength32

[Link to this property](<#(resource)%20user.subscriptions%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20identifier%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SubscriptionDeleteResponse: …

</summary>

subscription\_id: Optional\[str]

Subscription identifier tag.

maxLength32

<a href="#(resource)%20user.subscriptions%20%3E%20(model)%20subscription_delete_response%20%3E%20(schema)%20%3E%20(property)%20subscription_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20user.subscriptions%20%3E%20(model)%20subscription_delete_response%20%3E%20(schema)>)

### Delete User Subscription

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
subscription = client.user.subscriptions.delete(
    "506e3185e9c882d175a2d0cb0093d9f2",
)
print(subscription.subscription_id)
```

200 example

```
{
  "subscription_id": "506e3185e9c882d175a2d0cb0093d9f2"
}
```

##### Returns Examples

200 example

```
{
  "subscription_id": "506e3185e9c882d175a2d0cb0093d9f2"
}
```